Secret groups and variables
6 operations. Each page has its parameters, body, errors and examples.
- POST
/v1/organisations/{id}/environments/{envId}/resources/{rid}/secrets/{name}/revealReveal one secret value (audited) - GET
/v1/organisations/{id}/environments/{envId}/resources/{rid}/variablesA service's variables and where each comes from - POST
/v1/organisations/{id}/environments/{envId}/secrets/importPreview importing a .env file into a secret group - GET
/v1/organisations/{id}/projects/{pid}/secretsA project's secret definitions - PUT
/v1/organisations/{id}/projects/{pid}/secrets/{name}Set a project secret definition - DEL
/v1/organisations/{id}/projects/{pid}/secrets/{name}Delete a project secret definition